PLAKAR-DIGEST(1)

NAME
plakar-digest - Compute digests for files in a Plakar snapshot

SYNOPSIS
plakar digest [-hashing algorithm] snapshotID[:path] [...]

DESCRIPTION
The plakar digest command computes and displays digests for specified path in a the given snapshotID. Multiple snapshotID and path may be given. By default, the command computes the digest by reading the file contents.

The options are as follows:

-hashing algorithm
    Use algorithm to compute the digest. Defaults to SHA256.

EXIT STATUS

EXAMPLES
Compute the digest of a file within a snapshot:

    $ plakar digest abc123:/etc/passwd

Use BLAKE3 as the digest algorithm:

    $ plakar digest -hashing BLAKE3 abc123:/etc/netstart

SEE ALSO
plakar(1)